<p align="center">
    <a href="https://koneko.mx" target="_blank">
        <img src="https://git.koneko.mx/Koneko-ST/koneko-st/raw/branch/main/logo-images/horizontal-05.png" width="400" alt="Koneko Soluciones Tecnológicas Logo">
    </a>
</p>

<p align="center">
    <a href="https://packagist.org/packages/koneko/laravel-vuexy-admin"><img src="https://img.shields.io/packagist/v/koneko/laravel-vuexy-admin" alt="Latest Stable Version"></a>
    <a href="https://packagist.org/packages/koneko/laravel-vuexy-admin"><img src="https://img.shields.io/packagist/l/koneko/laravel-vuexy-admin" alt="License"></a>
    <a href="mailto:contacto@koneko.mx"><img src="https://img.shields.io/badge/contact-email-green" alt="Email"></a>
</p>

---

# Laravel Vuexy Admin para México

**Laravel Vuexy Admin para México** es un proyecto basado en Laravel optimizado para necesidades específicas del mercado mexicano. Incluye herramientas avanzadas y una interfaz moderna inspirada en el template premium Vuexy.

## Características destacadas

- **características avanzadas**:
  - Autenticación y gestión de usuarios con Laravel Fortify.
  - Gestión de roles y permisos usando Spatie Permission.
  - Tablas dinámicas con Laravel Datatables y Yajra.
  - Integración con Redis para caching eficiente.
  - Exportación y manejo de Excel mediante Maatwebsite.

## Requisitos del Sistema

- **PHP**: >= 8.2
- **Composer**: >= 2.0
- **Node.js**: >= 16.x
- **MySQL** o cualquier base de datos compatible con Laravel.

---

## Instalación

Este proyecto ofrece dos métodos de instalación: mediante Composer o manualmente. A continuación, te explicamos ambos procesos.

### Opción 1: Usar Composer (Recomendado)

Para instalar el proyecto rápidamente usando Composer, ejecuta el siguiente comando:

```bash
composer create-project koneko/laravel-vuexy-admin
```

Este comando realizará automáticamente los siguientes pasos:
1. Configurará el archivo `.env` basado en `.env.example`.
2. Generará la clave de la aplicación.

Una vez completado, debes configurar una base de datos válida en el archivo `.env` y luego ejecutar:

```bash
php artisan migrate --seed
```

Finalmente, compila los activos iniciales:

```bash
npm install
npm run dev
```

Inicia el servidor local con:

```bash
php artisan serve
```

---

### Opción 2: Instalación manual

Si prefieres instalar el proyecto de forma manual, sigue estos pasos:

1. Clona el repositorio:
   ```bash
   git clone https://git.koneko.mx/Koneko-ST/laravel-vuexy-admin.git
   cd laravel-vuexy-admin
   ```

2. Instala las dependencias de Composer:
   ```bash
   composer install
   ```

3. Instala las dependencias de npm:
   ```bash
   npm install
   ```

4. Configura las variables de entorno:
   ```bash
   cp .env.example .env
   ```

5. Configura una base de datos válida en el archivo `.env`.

6. Genera la clave de la aplicación:
   ```bash
   php artisan key:generate
   ```

7. Migra y llena la base de datos:
   ```bash
   php artisan migrate --seed
   ```

8. Compila los activos frontend:
   ```bash
   npm run dev
   ```

9. Inicia el servidor de desarrollo:
   ```bash
   php artisan serve
   ```

---

## Notas importantes

- Asegúrate de tener instalado:
  - **PHP**: >= 8.2
  - **Composer**: >= 2.0
  - **Node.js**: >= 16.x

---

## Uso del Template Vuexy

Este proyecto está diseñado para funcionar con el template premium [Vuexy](https://themeforest.net/item/vuexy-vuejs-html-laravel-admin-dashboard-template/23328599). Para utilizarlo:

1. Adquiere una licencia válida de Vuexy en [ThemeForest](https://themeforest.net/item/vuexy-vuejs-html-laravel-admin-dashboard-template/23328599).
2. Incluye los archivos necesarios en las carpetas correspondientes (`resources`, `public`, etc.) de este proyecto.

---

## Créditos

Este proyecto utiliza herramientas y recursos de código abierto, así como un template premium. Queremos agradecer a los desarrolladores y diseñadores que hacen posible esta implementación:

- [Laravel](https://laravel.com)
- [Vuexy Template](https://themeforest.net/item/vuexy-vuejs-html-laravel-admin-dashboard-template/23328599)
- [Spatie Permission](https://spatie.be/docs/laravel-permission)
- [Yajra Datatables](https://yajrabox.com/docs/laravel-datatables)

---

## Licencia

Este proyecto está licenciado bajo la licencia MIT. Consulta el archivo [LICENSE](LICENSE) para más detalles.

El template "Vuexy" debe adquirirse por separado y está sujeto a su propia licencia comercial.

---

<p align="center">
    Hecho con ❤️ por <a href="https://koneko.mx">Koneko Soluciones Tecnológicas</a>
</p>

